package com.qmth.exam.reserve.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.boot.core.collection.PageResult;
import com.qmth.exam.reserve.bean.applytask.CurrentApplyTaskVO;
import com.qmth.exam.reserve.bean.login.LoginUser;
import com.qmth.exam.reserve.bean.stdapply.CategoryVO;
import com.qmth.exam.reserve.bean.task.ApplyTaskPageReq;
import com.qmth.exam.reserve.bean.task.ApplyTaskReq;
import com.qmth.exam.reserve.bean.task.ApplyTaskVO;
import com.qmth.exam.reserve.entity.ApplyTaskEntity;

public interface ApplyTaskService extends IService<ApplyTaskEntity> {

    PageResult<ApplyTaskVO> page(ApplyTaskPageReq req);

    ApplyTaskVO find(Long id);

    void saveRule(ApplyTaskReq req, LoginUser user);

    List<CategoryVO> listTask();

    CurrentApplyTaskVO currentApplyTask(Long orgId);

    ApplyTaskEntity getLessInfoApplyTaskById(Long applyTaskId);

    ApplyTaskEntity findApplyTask();

    void saveNotice(Long userId, Long id, String notice);

    void enable(Long userId, Long id, Boolean enable);

    void deleteRule(Long timeId);

}
